> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Return the status of a collection

> Status includes the state of each shard and each shard’s replica. Each shard will be listed, and within that each replica, including the core name, its status as leader, the base URL, and the node name



## OpenAPI

````yaml /api-reference/4.2/service-collections.json get /collections/{collection}/status
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service collections
servers:
  - url: /api/apollo/
security: []
tags:
  - name: collections
paths:
  /collections/{collection}/status:
    get:
      tags:
        - 4.2 Collections API
      summary: Return the status of a collection
      description: >-
        Status includes the state of each shard and each shard’s replica. Each
        shard will be listed, and within that each replica, including the core
        name, its status as leader, the base URL, and the node name
      operationId: getCollectionStatus
      parameters:
        - name: collection
          in: path
          description: The name of a collection
          required: true
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionInfo'
components:
  schemas:
    CollectionInfo:
      type: object
      properties:
        maxShardsPerNode:
          type: integer
          format: int32
        replicationFactor:
          type: integer
          format: int32
        configName:
          type: string
        shards:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/ShardInfo'
        policy:
          type: string
    ShardInfo:
      type: object
      properties:
        range:
          type: string
        state:
          type: string
        replicas:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/ReplicaInfo'
    ReplicaInfo:
      type: object
      properties:
        state:
          type: string
        core:
          type: string
        leader:
          type: boolean
          default: false
        base_url:
          type: string
        node_name:
          type: string

````